Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QGraphicsView.ViewportUpdateMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QGraphicsView.ViewportUpdateMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QGraphicsView

    public static final class QGraphicsView.ViewportUpdateMode

extends java.lang.Enum
implements QtEnumerator

This enum describes how `QGraphicsView` updates its viewport when the scene contents change or are exposed.

See also:
  `viewportUpdateMode`.

See Also:
  Serialized Form

Field Summary
`static QGraphicsView.ViewportUpdateMode` | `BoundingRectViewportUpdate` The bounding rectangle of all changes in the viewport will be redrawn.
`static QGraphicsView.ViewportUpdateMode` | `FullViewportUpdate` When any visible part of the scene changes or is reexposed, `QGraphicsView` will update the entire viewport.
`static QGraphicsView.ViewportUpdateMode` | `MinimalViewportUpdate` `QGraphicsView` will determine the minimal viewport region that requires a redraw, minimizing the time spent drawing by avoiding a redraw of areas that have not changed.
`static QGraphicsView.ViewportUpdateMode` | `NoViewportUpdate` `QGraphicsView` will never update its viewport when the scene changes; the user is expected to control all updates.
`static QGraphicsView.ViewportUpdateMode` | `SmartViewportUpdate` `QGraphicsView` will attempt to find an optimal update mode by analyzing the areas that require a redraw.

Method Summary
`static QGraphicsView.ViewportUpdateMode` | `resolve(int value)` Returns the QGraphicsView$ViewportUpdateMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGraphicsView.ViewportUpdateMode` | `valueOf(java.lang.String name)`
`static QGraphicsView.ViewportUpdateMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### FullViewportUpdate

    public static final QGraphicsView.ViewportUpdateMode FullViewportUpdate

  When any visible part of the scene changes or is reexposed, `QGraphicsView` will update the entire viewport. This approach is fastest when `QGraphicsView` spends more time figuring out what to draw than it would spend drawing (e.g., when very many small items are repeatedly updated). This is the preferred update mode for viewports that do not support partial updates, such as `QGLWidget`, and for viewports that need to disable scroll optimization.

### MinimalViewportUpdate

    public static final QGraphicsView.ViewportUpdateMode MinimalViewportUpdate

  `QGraphicsView` will determine the minimal viewport region that requires a redraw, minimizing the time spent drawing by avoiding a redraw of areas that have not changed. This is `QGraphicsView`'s default mode. Although this approach provides the best performance in general, if there are many small visible changes on the scene, `QGraphicsView` might end up spending more time finding the minimal approach than it will spend drawing.

### SmartViewportUpdate

    public static final QGraphicsView.ViewportUpdateMode SmartViewportUpdate

  `QGraphicsView` will attempt to find an optimal update mode by analyzing the areas that require a redraw.

### NoViewportUpdate

    public static final QGraphicsView.ViewportUpdateMode NoViewportUpdate

  `QGraphicsView` will never update its viewport when the scene changes; the user is expected to control all updates. This mode disables all (potentially slow) item visibility testing in `QGraphicsView`, and is suitable for scenes that either require a fixed frame rate, or where the viewport is otherwise updated externally.

### BoundingRectViewportUpdate

    public static final QGraphicsView.ViewportUpdateMode BoundingRectViewportUpdate

  The bounding rectangle of all changes in the viewport will be redrawn. This mode has the advantage that `QGraphicsView` searches only one region for changes, minimizing time spent determining what needs redrawing. The disadvantage is that areas that have not changed also need to be redrawn.

Method Detail

### values

    public static QGraphicsView.ViewportUpdateMode[] values()

### valueOf

    public static QGraphicsView.ViewportUpdateMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QGraphicsView.ViewportUpdateMode resolve(int value)

  Returns the QGraphicsView$ViewportUpdateMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD